package com.yd.api.practitioner.service;

import java.util.Map;

public interface PractitionerHiringContractService {

    String generatePractitionerContract(Long hiringBasicInfoId);

    Map<String, String> initHiringBasicInfoData(Long hiringBasicInfoId);

    Map<String, String> initHiringImageInfoData(Long hiringBasicInfoId);

    String generatePractitionerPDF(String practitionerNO,Map<String, String> initDatas,Map<String, String> initImages);
}